Will Shazam work on my Android phone?

What are the minimum system requirements for Shazam on my Android device?

The latest versions of Shazam need Android v5.5 and above to run. Unfortunately, we do not support v5.4 and below. 

Before updating versions, please remember to save your Shazams by creating a Shazam account. You can create an account using either your email address or Facebook details. If you'd like to use your Facebook, simply login with your Facebook details and you're all set. 

Have more questions? Submit a request
Powered by Zendesk